Update Usg 310 Firmware

I've planned to upgrade an older version Zyxel firmware model USG310 from V4.65(AAPJ.1) version to 4.73(AAPJ.2). . Just load the fw and automatically reload the configuration? or do I have to upgrade to a higher firmware first?I don´t want to reconfigure.
Will I lose my configuration by upgrading?
Thanks.Regards.

Accepted Solution

  • smb_corp_user
    smb_corp_user Posts: 159  Master Member
    First Anniversary 10 Comments Friend Collector First Answer
    edited June 2023 Answer ✓

    Definitely make a config backup first, in case something unexpected happens. If something breaks in the process, you might end up with a damaged configuration. It is entirely up to you.

    edit: in theory, the configuration should be kept, but in case something stops working or the upgrade fails, even after a reboot, it is possible that your device or firmware version requires a blank config to upgrade successfully. I don't have experience with your exact model.

All Replies

  • smb_corp_user
    smb_corp_user Posts: 159  Master Member
    First Anniversary 10 Comments Friend Collector First Answer
    edited June 2023 Answer ✓

    Definitely make a config backup first, in case something unexpected happens. If something breaks in the process, you might end up with a damaged configuration. It is entirely up to you.

    edit: in theory, the configuration should be kept, but in case something stops working or the upgrade fails, even after a reboot, it is possible that your device or firmware version requires a blank config to upgrade successfully. I don't have experience with your exact model.

  • Thanks for your reply
    But I need to upgrade to Step, example:
    4.65---4.70
    4.70---4.73
    or can I upgrade directly to 4.73?

  • smb_corp_user
    smb_corp_user Posts: 159  Master Member
    First Anniversary 10 Comments Friend Collector First Answer

    This question is covered on page 6 in the PDF manual file in every firmware download.

    473AAPJ0C0.PDF is the name of the file (the PDF filename ending in "foss" contains only GNU GPL versions).

    From page 6, step 3:

    3. Recommended upgrade to ZLD4.65 Patch1 or later version first before upgrading to ZLD4.71.

    (Please note that this is standard text and possibly copied from the 4.71 firmware package.)

Security Highlight